### Property

# Gtk Label:single-line-mode

#### Declaration

    property single-line-mode: gboolean [ read, write ]

#### Description [src]

Whether the label is in single line mode.

In single line mode, the height of the label does not depend on the actual text, it is always set to ascent + descent of the font. This can be an advantage in situations where resizing the label because of text changes would be distracting, e.g. in a statusbar.

Type: | `gboolean`

Default value | FALSE
Getter method | `gtk_label_get_single_line_mode()`
Setter method | `gtk_label_set_single_line_mode()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no